#version 330 core
layout(location = 0) in vec3 aPos;       // vertex position
layout(location = 1) in vec2 aTexCoord;  // texture coordinate

uniform mat4 uMVP;  // Model-View-Projection matrix

out vec2 TexCoords;

void main()
{
    TexCoords = aTexCoord;
    gl_Position = uMVP * vec4(aPos, 1.0);
}
